Subject: 23.3; 2.1 Simple MML Example

From: csh <[email-masked]>
Date: Sun, 06 Jul 2014 11:46:48 -0700

Wondering how to send enriched text emails, I looked at the Info
directory and saw "2.1:  Simple MML Example" in a section about MIME.  I
read: 

> Here's a simple `multipart/alternative':

>      This is a plain text part.
>      

>    After running this through `mml-generate-mime', we get this:

>      Content-Type: multipart/alternative; boundary="=-=-="

>      --=-=-=

>      This is a plain text part.

>      --=-=-=
>      Content-Type: text/enriched

>      <center>This is a centered enriched part</center>

>      --=-=-=--

So, I yanked the MML code into my C-x M buffer and tried doing M-x
mml-generate-mime.  Such a program did not exist.

I went to <irc://irc.freenode.net/emacs> and asked about this.  I was
told to look in the "Attachments" menu.  In it were what seemed to
behave as proper tools for sending a text/enriched message.

But, the docs remain wrong.

In GNU Emacs 23.3.1 (i686-pc-linux-gnu, GTK+ Version 2.24.10)
 of 2013-05-16 on komainu, modified by Debian
configured using `configure  '--build' 'i686-linux-gnu' '--build' 'i686-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.3/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.3/leim' '--with-crt-dir=/usr/lib/i386-linux-gnu' '--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars' 'build_alias=i686-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=-D_FORTIFY_SOURCE=2''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: ERC

Minor modes in effect:
  shell-dirtrack-mode: t
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-networks-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  gpm-mouse-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
a t c h e d SPC T a m m y . ESC ` a i t e x t SPC e 
n r TAB RET C-p C-f C-f C-f C-f C-f C-f C-f C-f C-f 
C-f C-f C-f C-f C-f C-f C-f RET C-p C-p C-f C-f C-f 
C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f 
C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f 
C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-b 
C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b RET C-n 
C-n C-n C-n C-p C-x o C-h i C-x o C-p C-p C-p C-k C-k 
C-n C-n < DEL I SPC w a t c h e d SPC < i t a l i c 
> SPC DEL T a m m y < / i t a l i c . DEL > . ESC ` 
a C ESC ` a c C-g ESC [ A ESC [ A ESC [ A ESC [ A ESC 
[ A ESC [ A ESC [ A DEL DEL DEL DEL DEL DEL DEL DEL 
DEL DEL DEL DEL DEL DEL DEL DEL DEL DEL DEL DEL DEL 
DEL DEL DEL DEL DEL DEL DEL T o : SPC j @ j x DEL DEL 
DEL DEL < j x DEL @ j x s e l f . o r g > C-n C-n C-n 
ESC x m e s s TAB s e TAB RET C-x k RET C-x o q C-x 
b # l i TAB RET ESC x b DEL r e p o r t C-g C-x o C-x 
h C-g C-h i C-x o ESC x r e p o r TAB RET

Recent messages:
    (fontified)
Auto-saving...done
gnus-mime-display-alternative: No buffer named *Summary*
Quit
call-interactively: Beginning of buffer [5 times]
Sending...
Sending via mail...
Sending...done
Quit
Mark set [2 times]
Quit

Load-path shadows:
/usr/share/emacs/23.3/site-lisp/debian-startup hides /usr/share/emacs/site-lisp/debian-startup
/usr/share/emacs23/site-lisp/dictionaries-common/ispell hides /usr/share/emacs/23.3/lisp/textmodes/ispell
/usr/share/emacs23/site-lisp/dictionaries-common/flyspell hides /usr/share/emacs/23.3/lisp/textmodes/flyspell

Features:
(shadow emacsbug mail-extr flow-fill sort gnus-msg gnus-art mm-uu
mml2015 epg-config mm-view smime dig gnus-sum nnoo gnus-group gnus-undo
nnmail mail-source gnus-start gnus-spec gnus-int gnus-range gnus-win
gnus gnus-ems tmm generic enriched noutline outline easy-mmode cus-start
cus-load quail ansi-color shell tetris gamegrid jka-compr multi-isearch
info goto-addr apropos term disp-table ehelp electric help-fns debug
help-mode view spook cookie1 mailalias message sendmail regexp-opt
ecomplete rfc822 mml mml-sec password-cache mm-decode mm-bodies
mm-encode mailcap mail-parse rfc2231 rfc2047 rfc2045 qp ietf-drums
mailabbrev nnheader gnus-util netrc mm-util mail-prsvr gmm-utils
mailheader canlock sha1 hex-util hashcash mail-utils erc-menu easymenu
erc-join erc-ring comint ring erc-networks erc-pcomplete time-date
pcomplete erc-track erc-match erc-button wid-edit erc-fill erc-stamp
erc-netsplit erc-goodies erc erc-backend erc-compat format-spec
thingatpt pp t-mouse server tooltip ediff-hook vc-hooks lisp-float-type
mwheel x-win x-dnd font-setting tool-bar dnd fontset image fringe
lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
mldrag mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev loaddefs button minibuffer faces cus-face files text-properties
overlay md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
system-font-setting font-render-setting gtk x-toolkit x multi-tty emacs)